/********************************************************************************
 * Copyright (C) 2021 Jon Radchenko and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
import { CommandContribution, CommandRegistry } from '@theia/core';
import { OpenerService } from '@theia/core/lib/browser';
import { ServerProxyInstanceManager } from 'theia-server-proxy-extension/lib/browser/server-proxy-instance-manager';
import { ServerProxyOpenHandler } from 'theia-server-proxy-extension/lib/browser/server-proxy-open-handler';
import { FileNavigatorContribution } from '@theia/navigator/lib/browser/navigator-contribution';
import { QuickInputService } from '@theia/core/lib/browser';
export declare class PortProxyCommandContribution implements CommandContribution {
    protected readonly serverProxyInstanceManager: ServerProxyInstanceManager;
    protected readonly openerService: OpenerService;
    protected readonly fileNavigatorContribution: FileNavigatorContribution;
    protected readonly serverProxyOpenHandler: ServerProxyOpenHandler;
    protected readonly quickInputService: QuickInputService;
    registerCommands(registry: CommandRegistry): void;
}
//# sourceMappingURL=port-proxy-command-contribution.d.ts.map